@echo off

rem ==========================================
rem Internal Commands Demonstration Batch File
rem ==========================================

rem --------
rem 1: Setup
rem --------

ic >nul
if errorlevel 1 goto exit

cursor H

rem --------------------
rem 2: Display screen 1.
rem --------------------

cls 70

attr 50
locate  7, 14
write ͻ
locate  8, 14
write                                          
locate  9, 14
write                                                  
locate 10, 14
write            I N T E R N A L  C O M M A N D S      
locate 11, 14
write                                                  
locate 12, 14
write                   V E R S I O N  2 . 2           
locate 13, 14
write                                                  
locate 14, 14
write                                          
locate 15, 14
write                                                    
locate 16, 14
write       Copyright (C) 1993, Geoff Friesen B.Sc.      
locate 17, 14
write                 All rights reserved.               
locate 18, 14
write ͼ
locate 19, 16
write 

attr 82
locate 1, 1
write *
locate 1, 80
write *
locate 25, 1
write *
locate 25, 80
write *

attr f6
locate 1, 28
write D E M O N S T R A T I O N

rem -----------------------------------------------------------------
rem 3: Display PRESS ANY KEY prompt and wait for the user to respond.
rem -----------------------------------------------------------------

set return=return1
goto pause

:return1

rem --------------------
rem 4: Display screen 2.
rem --------------------

cls 70

attr 70
locate 1, 25
write ͻ
locate 2, 25
write  IC v2.2 Internal Commands... 
locate 3, 25
write ͼ
locate 5, 1
write ATTR     - set drawing attribute
locate 6, 1
write BEEP     - beep the speaker
locate 7, 1
write CLS      - clear screen to a specific attribute
locate 8, 1
write CPU      - identify central processing unit
locate 9, 1
write CURSOR   - set cursor shape
locate 10, 1
write DRIVERS  - list resident device drivers
locate 11, 1
write FLUSH    - update disk with cache
locate 12, 1
write ICC      - IC Control
locate 13, 1
write LOCATE   - position cursor on screen
locate 14, 1
write ND       - rename directory
locate 15, 1
write NMDIR    - rename directory
locate 16, 1
write PAUSE    - pause for a keystroke
locate 17, 1
write PSEND    - send character(s) to the printer
locate 18, 1
write PSWAP    - swap LPT1 and LPT2 printer ports
locate 19, 1
write TOGGLE   - toggle CAPS/NUM/SCROLL LOCK keys
locate 20, 1
write WAIT     - suspend execution
locate 21, 1
write WRITE    - write text
locate 22, 1

rem -----------------------------------------------------------------
rem 5: Display PRESS ANY KEY prompt and wait for the user to respond.
rem -----------------------------------------------------------------

set return=return2
goto pause

:return2

rem --------------------
rem 6: Display screen 3.
rem --------------------

cls 70
drivers

rem -----------------------------------------------------------------
rem 7: Display PRESS ANY KEY prompt and wait for the user to respond.
rem -----------------------------------------------------------------

set return=return3
goto pause

:return3

rem --------------------
rem 8: Display screen 4.
rem --------------------

cls 70

attr 70
locate 5, 5
write ͻ
locate 6, 5
write  CPU:                 
locate 7, 5
write ͼ

locate 5, 12
cpu

rem -----------------------------------------------------------------
rem 9: Display PRESS ANY KEY prompt and wait for the user to respond.
rem -----------------------------------------------------------------

set return=return4
goto pause

:return4

rem ---------------------
rem 10: Display screen 5.
rem ---------------------

cls 50

attr 40
locate 3, 7
write 
locate 4, 7
write 
locate 5, 7
write 
locate 6, 7
write                                                             
locate 7, 7
write  IC is a shareware package.  What is shareware?  Shareware  
locate 8, 7
write  is a "try before you buy" method of software distribution. 
locate 9, 7
write  If you like this product then please register your copy.   
locate 10, 7
write  As a registered user, you will receive the next version of 
locate 11, 7
write  IC as soon as it becomes available.  The registration fee  
locate 12, 7
write  is only $15.  More information on registration is located  
locate 13, 7
write  in IC.DOC.  You can print this manual by typing this com-  
locate 14, 7
write  mand.                                                      
locate 15, 7
write                                                             
locate 16, 7
write  PRINT IC.DOC [enter]                                       
locate 17, 7
write                                                             
locate 18, 7
write  [enter] indicates that you would press the ENTER key.      
locate 19, 7
write                                                             
locate 20, 7
write 
locate 21, 7
write 
locate 22, 7
write 

rem ------------------------------------------------------------------
rem 11: Display PRESS ANY KEY prompt and wait for the user to respond.
rem ------------------------------------------------------------------

set return=return5
goto pause

:return5

rem ---------------------
rem 12: Cleanup and exit.
rem ---------------------

cls
cursor L
beep

ic /U >nul
goto exit

rem ---------------------
rem 13: Pause subroutine.
rem ---------------------

:pause

attr c9
locate 25, 28
write PRESS ANY KEY TO CONTINUE.
pause
goto %return%

:exit
